Install 1.0 and 1.1 side-by-side and use the 1.1 csc to compile a 1.0

Hi,

I have the following (tricky) questions:
1. Can I install the 1.0 and 1.1 .NET Framework side-by-side with NO drawbacks on MY PC where I develop the .NET applications? (I do NOT use VS.NET)
2. After installing the 1.1 version, am I STILL ABLE to compile a 1.0 version, since our
production web-server still runs on 1.0 (our development web-server was upgraded to 1.1) ??
thx
Eau

0
dknyoli
10/15/2003 3:34:55 PM
asp.net.installation-setup 5668 articles. 1 followers. Follow

7 Replies
1780 Views

Similar Articles

[PageSpeed] 46

.... as long as you compile DLLs with the right csc.exe/vbc.exe from 1.0 or 1.1

Free ASP.NET Version Switcher may interest you.
DNN skins Forum
Tressleworks modules
DNN & webhosting
IEWCtrls
0
Bill2clone
10/16/2003 2:50:50 PM
Great tool, thanks for the link Bill.
0
Bryan_Metzger
11/7/2003 11:50:40 PM
0
Bill2clone
11/10/2003 9:51:35 PM
Is this why although I have 1.1 installed when I open up my Visual studio and I do "help/about", it says 1.0.3754 and not the 1.1 version number?

This is because I have downloaded the RSSReader from 4GuysFromRolla and I cant open their C# project. What I need is the tool above to switch versions?
Thanks
Robin
0
wonderbison
11/21/2003 1:22:32 PM
0
bill2clone
11/21/2003 1:33:57 PM
Hi

I believe I have yes. I think the build number is 7.0.9466 for VS Net but it does say 2002.
Thanks
0
wonderbison
11/21/2003 3:16:23 PM
2002 is hardwired to Framework 1.0

view post 316424
Upgrade to VS.Net 2003, or reinstall Framework 1.0
DNN skins Forum
Tressleworks modules
DNN & webhosting
IEWCtrls
0
Bill2clone
11/23/2003 9:10:55 AM
Reply:

Similar Artilces:

Installed VS.NET 2002. That installed 1.0, but I HAD 1.1 installed. How to remove 1.0?
I haven't seen this anywhere, so I figured I would add it here. First of all, it is incorrect to recommend to anyone that who has VS.NET 2002 to do ANYTHING but first install VS.NET 2002. The installl order for VS.NET 2002 and .Net Framwork 1.1 SHOULD BE: 0. Install ALL windows updates for your pc EXCEPT FOR .NET Framwork 1.1 1. Install VS.NET 2002 2. Install MSDE that comes w/VS.NET 2002 (USE A NAMED INSTANCE! Never usee the default instance) 2. Install MDAC 2.8 3. Install .Net Framework 1.1 4. SOMEHOW GET RID OF .NET Framework and get VS.NET and IIS 5.x to work w...

superreview granted: [Bug 283181] installer version text needs to be upgraded from 1.0 to 1.0.1 : [Attachment 175188] Bump version in installers to 1.0.1/1.7.6
Ben Goodger <bugs@bengoodger.com> has granted Chase Phillips <cmp@mozilla.org>'s request for superreview: Bug 283181: installer version text needs to be upgraded from 1.0 to 1.0.1 https://bugzilla.mozilla.org/show_bug.cgi?id=283181 Attachment 175188: Bump version in installers to 1.0.1/1.7.6 https://bugzilla.mozilla.org/attachment.cgi?id=175188&action=edit ...

superreview requested: [Bug 283181] installer version text needs to be upgraded from 1.0 to 1.0.1 : [Attachment 175188] Bump version in installers to 1.0.1/1.7.6
Chase Phillips <cmp@mozilla.org> has asked Ben Goodger <bugs@bengoodger.com> for superreview: Bug 283181: installer version text needs to be upgraded from 1.0 to 1.0.1 https://bugzilla.mozilla.org/show_bug.cgi?id=283181 Attachment 175188: Bump version in installers to 1.0.1/1.7.6 https://bugzilla.mozilla.org/attachment.cgi?id=175188&action=edit ...

superreview requested: [Bug 283224] mail installer version text needs to be bumped from 1.0 to 1.0.1 : [Attachment 175211] Bump Tb Windows installer to version 1.0.1
Chase Phillips <cmp@mozilla.org> has asked Scott MacGregor <mscott@mozilla.org> for superreview: Bug 283224: mail installer version text needs to be bumped from 1.0 to 1.0.1 https://bugzilla.mozilla.org/show_bug.cgi?id=283224 Attachment 175211: Bump Tb Windows installer to version 1.0.1 https://bugzilla.mozilla.org/attachment.cgi?id=175211&action=edit ...

superreview granted: [Bug 283224] mail installer version text needs to be bumped from 1.0 to 1.0.1 : [Attachment 175211] Bump Tb Windows installer to version 1.0.1
Scott MacGregor <mscott@mozilla.org> has granted Chase Phillips <cmp@mozilla.org>'s request for superreview: Bug 283224: mail installer version text needs to be bumped from 1.0 to 1.0.1 https://bugzilla.mozilla.org/show_bug.cgi?id=283224 Attachment 175211: Bump Tb Windows installer to version 1.0.1 https://bugzilla.mozilla.org/attachment.cgi?id=175211&action=edit ------- Additional Comments from Scott MacGregor <mscott@mozilla.org> thanks chase ...

Confused! DNN 1.0.10 on .NET 1.0 or 1.1?
What version of ASP.Net should I be running DNN 10.0.1d on? Currently i am running it on 1.0 on both test server and live, but this means that some 3rd party modules will not work and i get the "File or assembly name System, or one of its dependencies, was not found" error.. So what should i be running? can i just swicth over now to 1.1 and all will be fine and dandy? i do not want to have to go into the code and recompile. From the DNN 2.0 documentation i thought this would be the version for .Net 1.1 and that DNN 1.0 was for .Net 1.0 and therefore i should change over t...

Installation of both .net framework 1.0 & 1.1
I've already installed .net Visual Studio 2002 into my server and by installing this it was also installed 1.0 .net framework SDK into my server I have already download the .net framework 1.1 not the SDK pack and installed it to my server.And my problem is that when I'm trying to open an ASP page to my server which have to do with database let's say MS ACCESS database it bring me this error: The page cannot be displayed There is a problem with the page you are trying to reach and it cannot be displayed. -----------------------------------------------------------------------------...

Installation of both .net framework 1.0 & 1.1
I've already installed .net Visual Studio 2002 into my server and by installing this it was also installed 1.0 .net framework SDK into my server I have already download the .net framework 1.1 not the SDK pack and installed it to my server.And my problem is that when I'm trying to open an ASP page to my server which have to do with database let's say MS ACCESS database it bring me this error: The page cannot be displayed There is a problem with the page you are trying to reach and it cannot be displayed. ------------------------------------------------------------------------------...

SeaMonkey 1.0.8 and 1.1.1
Hi localizers, Sorry for not informing you earlier on, but first we had to do a few respins and then I was too busy with the FOSDEM conference... Anyways, we're about to release the newest SeaMonkey security and stability update releases right now, with the version numbers 1.0.8 and 1.1.1 Due to our L10n freezes, both work with the language packs from earlier versions (1.0 or 1.1), but if you want binary builds up on FTP, you need to regenerate them for those versions. Both are already up in their respective release directories: http://releases.mozilla.org/pub/mozill...

Install WDK 1.1 after uninstalling 1.0
Has anyone discovered the secret to installing a 1.1 trial copy on a machine that had an older eval version on it? I've seen a few questions about this, but no answers... The sequence is: uninstall the old, install the new, enter the license key, get error message "Invalid License Key". I downloaded the version as it was on 2/7/2000. Anybody know if has been updated since then? Thanks for any help. ...

Can't install version 2.0 besides 1.1: dotnetfx.exe will only install 1.1
Hi,  I'm trying to install version 2.0 beside version 1.1 on a Win2000 server. First I download the correct version of dotnetfx.exe (for version 2.0), but when I run this, I'm asked if I want to install version 1.1 (which is already present). It does not help to uninstall 1.1 first, I'm still prompted to install 1.1, even if dotnetfx.exe is the one for version 2.0! Could this be due to any settings on the server?     RGDS a newbe...  Check carefully for every copy of DOTNETFX.COM on the machine (check every folder including system ones), and rename the...

.NET SP2 for Framework 1.0 if 1.1 is also installed
if I have installed .NET Frameworks versions both 1.0 and 1.1? Apparently .NEt SP2 is required by .NET Framework 1.0 but not by .NET Framework 1.1 Have anybody experienced problems due to its installation with simultaneously installed .NET Frameworks?Guennadi Vanine - Gennady Vanin - Геннадий Ванин Hi Guenavan I have had both installed on a afew machines at work and both run happily together and I use them both a lot. Cheers GregorGregor SuttieMCSD, MCAD, MCSD.Net...

Just Installed 1.0.4 over 1.0.1
I installed SeaMonkey 1.0.4 last night and allowed it to install over the previous version (1.0.1). Everything seemed to work fine - all my bookmarklets, extensions, and plugins are working. I've used it this morning - no obvious problems..... But I tried to download an image from http://antwrp.gsfc.nasa.gov/apod/ this morning, and the image does not appear in the directory it says it downloaded to. No file name listed as per the DM function. The DM window appears, I select where the image is to go and click. All seemingly normal. But the image is not saved - not wh...

not ok 83 # - 0130 - LATIN CAPITAL LETTER I WITH DOT ABOVE - 0069 - I
ive been getting these lately, I thought it might be my setup, but I figured Id better let you decide that for yourselves. ok 82 # - 012E - LATIN CAPITAL LETTER I WITH OGONEK - 012F - C not ok 83 # - 0130 - LATIN CAPITAL LETTER I WITH DOT ABOVE - 0069 - I - 1 1 1 1 0 1 0 0 not ok 84 # - 0131 - LATIN SMALL LETTER DOTLESS I - 0069 - I - 1 1 1 1 0 0 0 0 ok 85 # - 0132 - LATIN CAPITAL LIGATURE IJ - 0133 - C one other unrelated observation. config-args below is missing the -Duseithreads, but it built that way, as is evident from 'usethreads=define' this might be ...

Web resources about - Install 1.0 and 1.1 side-by-side and use the 1.1 csc to compile a 1.0 - asp.net.installation-setup

Side-by-side assembly - Wikipedia, the free encyclopedia
Side-by-side technology is a standard for executable files in Windows 98 Second Edition , Windows 2000 , and later versions of Windows that attempts ...

Side by Side (with Dropbox support) on the App Store on iTunes
Get Side by Side (with Dropbox support) on the App Store. See screenshots and ratings, and read customer reviews.

Avatar and Pocahontas Side-by-Side - YouTube
This is a side-by-side comparison of Avatar with clips from Disney's Pocahontas. It helps illustrate that Avatar is really just: "Pocahontas ...

In Uganda's Nakivale camp, killers and survivors live side by side
In the heart of central Africa, conflict has become a way of life but counselling for trauma is still in its infancy.

Side by Side of the Simon & Simon intro and parody - YouTube
Since I didn't see this anywhere else I thought I'd upload it, here's the side-by-side of the original Simon & Simon intro and the one done by ...

'Wish I had side-by-side televisions': How to take in debate night
As the first leaders' debate gets underway in Toronto Thursday evening, Canada's political powerhouses face some sure-to-be-good-TV competition ...

Winnipeg man given $113.10 fine for walking with friends side by side - CTV News
A Winnipeg man has been fined $113.10 for walking side-by-side with his friends, because the group was walking “more than two abreast.”

Side by side, fight against terrorism
Side by side, fight against terrorism People's Daily Online Mardan, one of the co-authors of the joint letter told People's Daily on May 2 ...

Side-by-side: How Apple’s new Transit directions compare to those in Google Maps
Yesterday, at WWDC 2015, Apple introduced transit directions to its native Maps application for the first time. It's a feature that has long ...

Side by side images show iPhone’s iterative camera improvement over the years
Camera+’s founder Lisa Bettany has posted (via Gizmodo) photos showing the huge improvement the iPhone’s camera has seen over the years. While ...

Resources last updated: 1/4/2016 2:06:20 PM